# mPy: template for oscilloscope datalogger
# Copyright by Anthony Vogelaar, Perth Scotland
# rev 0.10  2026-06-11  initial release

import	os

# Implemented:
# Logger(size, fn=None)
#    Logger.__str__
#    Logger.append(value)
#    Logger.query (start=0, len=8)
#    Logger.save ()
#    Logger.load ()

# ======================= Logger ========================

class Logger:
    
    def __init__(self, size, fn=None):
        self.size = size
        self.fn   = fn
        
        
    # return stored logger data as string
    def __str__(self):
        ...


    # add integer to data
    def append(self, value):
        ...
        
        
    # return len elements from start    
    def query(self, start=0, len=8):
        ...
        

    # save logger data into file
    def save(self):
        ...
        
    
    # load logger data from file
    def load(self):
        ...
        
# ====================== end ========================
